Commet
  • Precios
Iniciar SesiónRegistrarse
Create feature POSTDelete feature DELETEGet feature access GETList features GETUpdate feature PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Update feature

Update a feature's name, description, or unit name. At least one field must be provided.

List features GET

List all features for a customer's active subscription.

Create adjustment invoice POST

Create a one-off adjustment invoice. Use a negative amount for a credit.

PUT
/features/{code}/manage

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

code*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length
description?|
unitName?|

Response Body

application/json

curl -X PUT "https://commet.co/api/v1/features/string/manage" \  -H "Content-Type: application/json" \  -d '{}'
application/json

application/json

application/json

Update a feature's name, description, or unit name. At least one field must be provided.

Feature code or public ID

{
  "success": true,
  "data": {
    "object": "feature",
    "livemode": true,
    "id": "string",
    "name": "string",
    "code": "string",
    "type": "boolean",
    "description": "string",
    "unitName"



{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
"string"
,
"createdAt": "string",
"updatedAt": "string"
}
}